org.firebirdsql.gds.ng

## Interface IConnectionProperties

- All Superinterfaces:
    AttachmentProperties, BaseProperties, DatabaseConnectionProperties, IAttachProperties<IConnectionProperties>
  All Known Implementing Classes:
    FbConnectionProperties, FbImmutableConnectionProperties

      public interface IConnectionProperties
      extends IAttachProperties<IConnectionProperties>, DatabaseConnectionProperties

  Connection properties for the Firebird connection.
  Since:
    3.0
  Author:
    Mark Rotteveel

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFAULT_BUFFERS_NUMBER` Deprecated.
    `static short` | `DEFAULT_DIALECT` Deprecated.
    `static java.lang.String` | `SESSION_TIME_ZONE_SERVER` Deprecated. will be removed in Jaybird 6, use `PropertyConstants.SESSION_TIME_ZONE_SERVER`

    - ### Fields inherited from interface org.firebirdsql.gds.ng.IAttachProperties

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_SO_TIMEOUT, DEFAULT_SOCKET_BUFFER_SIZE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IConnectionProperties` | `asImmutable()`
    `IConnectionProperties` | `asNewMutable()`
    `default short` | `getConnectionDialect()` Deprecated. Use `DatabaseConnectionProperties.getSqlDialect()`; will be removed in Jaybird 6
    `default void` | `setConnectionDialect(short connectionDialect)` Deprecated. Use `DatabaseConnectionProperties.setSqlDialect(int)`; will be removed in Jaybird 6

    - ### Methods inherited from interface org.firebirdsql.gds.ng.IAttachProperties

      `getAttachObjectName, getWireCryptAsEnum, isImmutable, setAttachObjectName, setWireCryptAsEnum`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.DatabaseConnectionProperties

      `getBlobBufferSize, getDatabaseName, getDataTypeBind, getDecfloatRound, getDecfloatTraps, getDefaultIsolation, getDefaultTransactionIsolation, getGeneratedKeysEnabled, getPageCacheSize, getScrollableCursor, getServerBatchBufferSize, getSessionTimeZone, getSqlDialect, getTpbMapping, isColumnLabelForName, isDefaultResultSetHoldable, isExtendedMetadata, isIgnoreProcedureType, isTimestampUsesLocalTimezone, isUseFirebirdAutocommit, isUseServerBatch, isUseStreamBlobs, setBlobBufferSize, setColumnLabelForName, setDatabaseName, setDataTypeBind, setDecfloatRound, setDecfloatTraps, setDefaultIsolation, setDefaultResultSetHoldable, setDefaultTransactionIsolation, setExtendedMetadata, setGeneratedKeysEnabled, setIgnoreProcedureType, setPageCacheSize, setScrollableCursor, setServerBatchBufferSize, setSessionTimeZone, setSqlDialect, setTimestampUsesLocalTimezone, setTpbMapping, setUseFirebirdAutocommit, setUseServerBatch, setUseStreamBlobs`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.AttachmentProperties

      `getAuthPlugins, getCharSet, getConnectTimeout, getDbCryptConfig, getEncoding, getParallelWorkers, getPassword, getPortNumber, getProcessId, getProcessName, getRoleName, getServerName, getSocketBufferSize, getSoTimeout, getType, getUser, getWireCrypt, isWireCompression, setAuthPlugins, setCharSet, setConnectTimeout, setDbCryptConfig, setEncoding, setParallelWorkers, setPassword, setPortNumber, setProcessId, setProcessName, setRoleName, setServerName, setSocketBufferSize, setSoTimeout, setType, setUser, setWireCompression, setWireCrypt`

    - ### Methods inherited from interface org.firebirdsql.jaybird.props.BaseProperties

      `connectionPropertyValues, getBooleanProperty, getBooleanProperty, getIntProperty, getIntProperty, getProperty, getProperty, setBooleanProperty, setIntProperty, setProperty`

- - ### Field Detail

    - #### SESSION_TIME_ZONE_SERVER

          @Deprecated
          static final java.lang.String SESSION_TIME_ZONE_SERVER

      Deprecated. will be removed in Jaybird 6, use `PropertyConstants.SESSION_TIME_ZONE_SERVER`
      Value for `sessionTimeZone` that indicates the session time zone should not be set and use server default.
      See Also:
        Constant Field Values

    - #### DEFAULT_DIALECT

          @Deprecated
          static final short DEFAULT_DIALECT

      Deprecated.
      See Also:
        Constant Field Values

    - #### DEFAULT_BUFFERS_NUMBER

          @Deprecated
          static final int DEFAULT_BUFFERS_NUMBER

      Deprecated.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getConnectionDialect

          @Deprecated
          default short getConnectionDialect()

      Deprecated. Use `DatabaseConnectionProperties.getSqlDialect()`; will be removed in Jaybird 6
      Get the dialect of the client connection

      NOTE: Implementer should take care to return `DEFAULT_DIALECT` if the value hasn't been set yet.

      Returns:
        SQL dialect of the client.

    - #### setConnectionDialect

          @Deprecated
          default void setConnectionDialect(short connectionDialect)

      Deprecated. Use `DatabaseConnectionProperties.setSqlDialect(int)`; will be removed in Jaybird 6
      Set the dialect of the client connection

      NOTE: Implementer should take care to use `DEFAULT_DIALECT` if the value hasn't been set yet.

      Parameters:
        `connectionDialect` - SQL dialect of the client.

    - #### asImmutable

          IConnectionProperties asImmutable()

      Specified by:
        `asImmutable` in interface `IAttachProperties<IConnectionProperties>`
      Returns:
        An immutable version of this instance as an implementation of `IConnectionProperties`

    - #### asNewMutable

          IConnectionProperties asNewMutable()

      Specified by:
        `asNewMutable` in interface `IAttachProperties<IConnectionProperties>`
      Returns:
        A new, mutable, instance as an implementation of `IConnectionProperties` with all properties copied.

Copyright © 2001-2025 Jaybird (Firebird JDBC) team. All rights reserved.